Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08279 Graphics Major Always Apr 1, 2022, 18:06 Apr 7, 2022, 12:40
Tester ozzyguy View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS
Status [?] Acknowledged Driver toaplan/slapfght.cpp
Version 0.242 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 08279: All games in slapfght.cpp: All games in slapfght.cpp have the wrong display resolution.
Description The games in slapfght.cpp resolution are broken, parts on the right side of the playing field is cut off & there is even graphical corruption on the left side of the playing field too (on some games like; Performan, & Tiger-Heli).
Steps To Reproduce Load & run game.
Additional Information I know should've post this earlier, Get Star/Guardian sprite offset is broken too (on the weapon status). (Besides the wrong display resolution too). Including a screenshot of that too.
Github Commit
Flags
Regression Version
Affected Sets / Systems All games in slapfght.cpp
Attached Files
png file icon 0009.png (11,843 bytes) Apr 1, 2022, 18:06 Uploaded by ozzyguy
ozzyguy
png file icon 0002.png (14,337 bytes) Apr 1, 2022, 18:07 Uploaded by ozzyguy
ozzyguy
png file icon 0004.png (5,703 bytes) Apr 7, 2022, 03:19 Uploaded by ozzyguy
ozzyguy
Relationships
There are no relationship linked to this issue.
Notes
8
User avatar
No.19981
CYBERYOGI -CO-Windler
Viewer
Apr 2, 2022, 06:52
edited on: Apr 2, 2022, 06:53
Also the text overlay in Slapfight (I only could test bootleg romsets because my others are incomplete and download site was down) in MAME 0.242 seems to be shifted vertically(?), which is noticeable at the highscore entry field (a frame-shaped sprite with black background?) that is in wrong place. I suspect the text layer to be shifted one character up and left(?) against the intended position.
User avatar
No.19982
Mamesick
Senior Tester
Apr 2, 2022, 09:04
edited on: Apr 2, 2022, 09:07
Regression is clearly this commit:
https://github.com/mamedev/mame/commit/5843263d43ec1d1ff6d449d06719d82fe3524dd8

Fixing is easy, change line 913 to:
m_screen->set_raw(36_MHz_XTAL/6, 388, 0, 256, 270, 16, 256);
and lines 959 and 1039 to:
m_screen->set_raw(36_MHz_XTAL/6, 388, 8, 288, 270, 16, 256);
That's all.
Notice a small black line at the right edge in Tiger Heli and Slap Fight/Alcon... old code was removing this in the visible area. To do it now change the last 256 to 255 in the last line I posted above.

I have no idea about the shifted text layer mentioned above. All seems correct to me.
User avatar
No.20011
CYBERYOGI -CO-Windler
Viewer
Apr 5, 2022, 05:47
I have checked now Alcon and the original Slap Fight; both have shifted text layer bug (visible at the highscore cursor sprite).
User avatar
No.20016
Mamesick
Senior Tester
Apr 7, 2022, 05:53
edited on: Apr 7, 2022, 05:54
Visible area values seems are right (I simply re-implemented the values used before the bugged untested commit). Though there are some offsets values in video code that are changed too so it's better leave the fix to who caused the problem in first instance.
User avatar
No.20017
CYBERYOGI -CO-Windler
Viewer
Apr 7, 2022, 06:19
Today I first time since years started DOS-MAME (version 37?) on my IBM Thinkpad 760XD (166MHz Pentium MMX) again. Its Slap Fight lined up the text layer correctly with the highscore cursor sprite (so letters appear in its center).
User avatar
No.20024
Tafoid
Administrator
Apr 7, 2022, 11:12
This is a WIP issue related to adding properly dumped proms and corrected stream timings. Haphazardly changing the visible literal resolution is not a solution - core calculations need to be done.
User avatar
No.20026
Mamesick
Senior Tester
Apr 7, 2022, 12:18
edited on: Apr 7, 2022, 12:19
"Haphazardly" sounds a little bit offensive. As I said, visible area values have been taken from old source code. Maybe they were wrong too, but surely not so wrong as they are now. Call an untested commit like this a WIP sounds like an excuse. If it's a WIP, this should have been finished before being committed. Or MAME standards are changed during all these years?
User avatar
No.20027
Tafoid
Administrator
Apr 7, 2022, 12:40
It was IMHO a rushed change that took no account to what was causing it and only done to make the screen appearance 'look' correct. I chose the word, not to insult but to lay it out that the approach was not done considering, again, the underlining core issue. Are you offended at the word? It was not intended to be offensive on any personal level in any way to people who proposed it or even created the PR.

Things change, things regress, things break. It is a cycle that will last forever.